Subject: Authentication Digest
From: Varadharajan Seshadri <[email-masked]>
To: <[email-masked]>
Date: Sat, 28 Mar 2009 14:55:11 +0000

Hi,
I would like to have my SIP clients authenticate with Active Directory (AD). I am using RADIUS in the middle to do the digest based authentication between by sip client and AD.

SIP Client ---> RADIUS Client ---> RADIUS Server (IAS of windows server) ----> Activer Directory is my setup.

I downloaded RADIUS Client version 1.1.6 (which is the latest i find in freeradius.org) to do the digest based Auth. Following is the AV pair i used to form my Request packet, as per RFC 4590/5090

PW_USER_NAME
PW_SERVICE_TYPE
PW_DIGEST_REALM
PW_DIGEST_METHOD
PW_DIGEST_ALGORITHM
PW_DIGEST_URI

RADIUS server (IAS of Windows) complains of malformed packets.

If any of you have used digest based authentication, using Freeradius client, i would like you to help me with this. Also, i am not sure how to add message autehnticator to this request message, which i understand is mandatory. Not sure if this is THE issue.

Thanks
Varad

_________________________________________________________________
Windows Live Messenger. Multitasking at its finest.
http://www.microsoft.com/india/windows/windowslive/messenger.aspx